%global srcname mallard-ducktype

Name:    python3-mallard-ducktype
Version: 0.2
Release: 5%{?dist}
Summary: Parse Ducktype files and convert them to Mallard

License: MIT
URL:     https://pypi.python.org/pypi/%{srcname}
Source0: https://pypi.python.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz
# https://github.com/projectmallard/mallard-ducktype/issues/11
Patch0:  %{srcname}-0.2-open-utf8.patch

BuildArch:     noarch
BuildRequires: python3-devel

%description
Parse Ducktype files and convert them to Mallard.


%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}-%{version}/mallard_ducktype.egg-info/
%patch0 -p1


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files
# No separate license file.
%doc
%{_bindir}/ducktype
%{python3_sitelib}/*



%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 09 2015 David King <amigadave@amigadave.com> - 0.2-2
- Add backported UTF-8 encoding patch

* Tue Sep 08 2015 David King <amigadave@amigadave.com> - 0.2-1
- Update to 0.2

* Fri Sep 04 2015 David King <amigadave@amigadave.com> - 0.1-1
- Initial Fedora packaging (#1260219)
